<template>
  <div>
    <h1 id="home">Popular Netflix</h1>

    <div class="box">

      <div v-for="item in 12" @mouseover="mouseover('p'+item)" @mouseleave="mouseleave">
        <div v-if="estado == 2 && movieAbrir == 'p'+item">
          <estado-dos
            :imagen="'https://github.com/carlosavilae/Netflix-Clone/blob/master/img/p'+item+'.PNG?raw=true'"
            :modal="'modal-p'+item"
          ></estado-dos>
        </div>
        <div v-else>
          <estado-uno
            :imagen="'https://github.com/carlosavilae/Netflix-Clone/blob/master/img/p'+item+'.PNG?raw=true'"></estado-uno>
        </div>

        <estado-tres
          :imagen="'https://github.com/carlosavilae/Netflix-Clone/blob/master/img/p'+item+'.PNG?raw=true'"
          :modal="'modal-p'+item"
        ></estado-tres>
      </div>
    </div>

  </div>

</template>

<script>
import estadoUno from "./estados/estadoUno";
import estadoDos from "./estados/estadoDos";
import estadoTres from "./estados/estadoTres";

export default {
  name: "Contenido",
  components: {estadoUno, estadoDos, estadoTres},
  data() {
    return {
      hover: false,
      movieAbrir: null,
    };
  },
  methods: {
    cambiarEstado() {
      this.$store.dispatch('cambiarEstado', this.hover);
    },
    mouseover(id) {
      this.hover = true;
      this.movieAbrir = id;
      this.cambiarEstado();
    },
    mouseleave() {
      this.hover = false;
      this.movieAbrir = null;
      this.cambiarEstado();
    }
  },
  computed: {
    estado() {
      return this.$store.getters['getEstado'];
    },
  }
}
</script>

<style scoped>

</style>
